{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 5,
			"minor" : 1,
			"revision" : 9
		}
,
		"rect" : [ 25.0, 44.0, 743.0, 730.0 ],
		"bglocked" : 0,
		"defrect" : [ 25.0, 44.0, 743.0, 730.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 5.0, 5.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "after a new set of systems is selected, there is an equal 1 in 32 chance each for either that  /set all random all will trigger, or that a loopback path will trigger to select a new set of systems (one may then wish to contemplate what are the chances of this feedback loop being triggered twice, or three times, in a single period cycle of the mater phase)",
					"linecount" : 14,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 525.0, 815.0, 149.0, 200.0 ],
					"fontsize" : 12.0,
					"id" : "obj-62",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "initial chances are 1:1024 that /set all random all will trigger, and same chances of a new selection of systems being triggered (which one may wish to combine with the first 1 in 32 of the same thing)",
					"linecount" : 7,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 325.0, 815.0, 173.0, 103.0 ],
					"fontsize" : 12.0,
					"id" : "obj-63",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "there is 1 in 16 chance of nothing happening after a new set of systems is selected",
					"linecount" : 3,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 530.0, 750.0, 178.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-59",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1:512 that nothing will happen (one may wish to combine this with the original three-in-four chance of the same thing)",
					"linecount" : 4,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 350.0, 747.0, 174.0, 62.0 ],
					"fontsize" : 12.0,
					"id" : "obj-60",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "there is 1 in 8 chance of zeroing a newly selected set of systems",
					"linecount" : 3,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 475.0, 695.0, 166.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-57",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1:256 that amp values will be zero'd",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 365.0, 695.0, 82.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-58",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "after changing system selection this is 1:4",
					"linecount" : 3,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 550.0, 635.0, 101.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-55",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1:128 that pitch-class will be randomised",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 320.0, 635.0, 225.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-56",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "after changing system selection this is 1:4",
					"linecount" : 3,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 550.0, 545.0, 101.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-54",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1:64 that pitch-height will be randomised",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 325.0, 545.0, 225.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-53",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "and each decision point is annotated",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 485.0, 95.0, 216.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-52",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "these object boxes and their connections have been copy-pasted from CirSeq_Zero.maxpat and rearranged to make the structure they create more clear",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 275.0, 5.0, 312.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-51",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "outputs a bang at beginning of each period cycle",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 215.0, 135.0, 269.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-49",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "selecting one of 64 possible combinations",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 300.0, 440.0, 130.0, 34.0 ],
					"fontsize" : 12.0,
					"id" : "obj-47",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "after changing system selection this is 1:2",
					"linecount" : 3,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 580.0, 485.0, 101.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-45",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "after changing system selection something else will be also be triggered",
					"linecount" : 5,
					"numinlets" : 1,
					"frgb" : [ 1.0, 1.0, 1.0, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 580.0, 395.0, 103.0, 75.0 ],
					"fontsize" : 12.0,
					"id" : "obj-44",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"bgcolor" : [ 0.235294, 0.235294, 0.235294, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "there is also a 1 in 32 chance of triggering amp values being randomised at this point (one may wish to adjust the 1 in 8 chance above by this...)",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 305.0, 485.0, 268.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-42",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "chances are 1:32 each both for zeroing the amp values before changing system selection, and for changing selection without changing the amp values",
					"linecount" : 7,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 435.0, 375.0, 139.0, 103.0 ],
					"fontsize" : 12.0,
					"id" : "obj-39",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1 in 16 chance of triggering a change of system selection",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 460.0, 280.0, 167.0, 34.0 ],
					"fontsize" : 12.0,
					"id" : "obj-34",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1 in 8 chance of triggering the \n/set all random amp\nmessage",
					"linecount" : 3,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 465.0, 220.0, 193.0, 48.0 ],
					"fontsize" : 12.0,
					"id" : "obj-31",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "duel desination of bang, here, affect by right-to-left ordering",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 210.0, 340.0, 225.0, 34.0 ],
					"fontsize" : 12.0,
					"id" : "obj-26",
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "there is a one-in-four chance that the cascade will be triggered.",
					"linecount" : 2,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 440.0, 165.0, 198.0, 34.0 ],
					"fontsize" : 12.0,
					"id" : "obj-22",
					"bgcolor" : [ 0.858824, 0.858824, 0.858824, 1.0 ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 145.0, 810.0, 548.0, 53.0 ],
					"id" : "obj-18",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 220.0, 690.0, 451.0, 50.0 ],
					"id" : "obj-12",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 55.0, 635.0, 620.0, 53.0 ],
					"id" : "obj-11",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 50.0, 545.0, 620.0, 53.0 ],
					"id" : "obj-10",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 65.0, 485.0, 620.0, 53.0 ],
					"id" : "obj-9",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 215.0, 430.0, 473.0, 53.0 ],
					"id" : "obj-8",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 115.0, 280.0, 516.0, 53.0 ],
					"id" : "obj-6",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 155.0, 220.0, 516.0, 53.0 ],
					"id" : "obj-4",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 130.0, 165.0, 516.0, 53.0 ],
					"id" : "obj-2",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 290.0, 405.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-108",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 290.0, 380.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-109",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 135.0, 195.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-106",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "random 4",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 135.0, 170.0, 61.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-107",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "gate~",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 170.0, 85.0, 41.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-105",
					"outlettype" : [ "signal" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 165.0, 55.0, 20.0, 20.0 ],
					"presentation" : 1,
					"id" : "obj-104",
					"outlettype" : [ "int" ],
					"presentation_rect" : [ 575.0, 265.0, 30.0, 30.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "run random decide cascade",
					"presentation_linecount" : 4,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 10.0, 55.0, 159.0, 20.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-102",
					"fontname" : "Arial",
					"presentation_rect" : [ 605.0, 265.0, 56.0, 62.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 190.0, 350.0, 20.0, 20.0 ],
					"id" : "obj-88",
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 220.0, 435.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-85",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zl group 6",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 220.0, 460.0, 68.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-83",
					"outlettype" : [ "", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "uzi 6",
					"numinlets" : 2,
					"numoutlets" : 3,
					"patching_rect" : [ 210.0, 400.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-82",
					"outlettype" : [ "bang", "bang", "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 120.0, 310.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-77",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 120.0, 285.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-78",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 160.0, 250.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-79",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 160.0, 225.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-80",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 155.0, 840.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-68",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 155.0, 815.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-69",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 190.0, 780.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-38",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 190.0, 755.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-61",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 225.0, 720.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-36",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 225.0, 695.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-37",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 60.0, 665.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-32",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 60.0, 640.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-35",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 55.0, 575.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-19",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 55.0, 550.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-23",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 1",
					"numinlets" : 2,
					"numoutlets" : 2,
					"patching_rect" : [ 75.0, 515.0, 36.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-14",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "decide",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 75.0, 490.0, 46.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-5",
					"outlettype" : [ "int" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "<~ 0.5",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 170.0, 110.0, 45.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-3",
					"outlettype" : [ "signal" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "edge~",
					"numinlets" : 1,
					"numoutlets" : 2,
					"patching_rect" : [ 170.0, 135.0, 44.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-1",
					"outlettype" : [ "bang", "bang" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/set all random pHeight",
					"presentation_linecount" : 3,
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 80.0, 605.0, 134.0, 18.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-15",
					"outlettype" : [ "" ],
					"fontname" : "Arial",
					"presentation_rect" : [ 635.0, 75.0, 58.0, 46.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/set all random amp",
					"presentation_linecount" : 3,
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 215.0, 305.0, 116.0, 18.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-16",
					"outlettype" : [ "" ],
					"fontname" : "Arial",
					"presentation_rect" : [ 580.0, 25.0, 53.0, 46.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/set all amp 0.",
					"presentation_linecount" : 2,
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 258.0, 770.0, 85.0, 18.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-46",
					"outlettype" : [ "" ],
					"fontname" : "Arial",
					"presentation_rect" : [ 580.0, 80.0, 49.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/set all random pClass",
					"presentation_linecount" : 3,
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 45.0, 710.0, 129.0, 18.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-17",
					"outlettype" : [ "" ],
					"fontname" : "Arial",
					"presentation_rect" : [ 520.0, 75.0, 53.0, 46.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/set all random all",
					"presentation_linecount" : 2,
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 195.0, 880.0, 105.0, 18.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-21",
					"outlettype" : [ "" ],
					"fontname" : "Arial",
					"presentation_rect" : [ 570.0, 130.0, 69.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "4n\n8n\n8nt\n16n\n16nt\n32n",
					"linecount" : 6,
					"presentation_linecount" : 6,
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 234.0, 485.0, 40.0, 103.0 ],
					"fontsize" : 14.0,
					"presentation" : 1,
					"id" : "obj-33",
					"fontname" : "Arial",
					"presentation_rect" : [ 470.0, 20.0, 40.0, 103.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "radiogroup",
					"numinlets" : 1,
					"numoutlets" : 1,
					"patching_rect" : [ 220.0, 485.0, 52.0, 104.0 ],
					"presentation" : 1,
					"id" : "obj-24",
					"outlettype" : [ "" ],
					"offset" : 17,
					"presentation_rect" : [ 458.0, 19.0, 52.0, 104.0 ],
					"itemtype" : 1,
					"size" : 6,
					"values" : [ 0, 1, 1, 1, 1, 0 ],
					"disabled" : [ 0, 0, 0, 0, 0, 0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "master phase:",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 110.0, 25.0, 87.0, 20.0 ],
					"fontsize" : 12.0,
					"presentation" : 1,
					"id" : "obj-66",
					"fontname" : "Arial",
					"presentation_rect" : [ 390.0, 250.0, 96.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "phasor~",
					"numinlets" : 2,
					"numoutlets" : 1,
					"patching_rect" : [ 200.0, 25.0, 54.0, 20.0 ],
					"fontsize" : 12.0,
					"id" : "obj-71",
					"outlettype" : [ "signal" ],
					"fontname" : "Arial"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 175.0, 750.0, 535.0, 53.0 ],
					"id" : "obj-13",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"border" : 2,
					"bordercolor" : [ 0.87451, 0.87451, 0.87451, 1.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 260.0, 375.0, 439.0, 53.0 ],
					"id" : "obj-7",
					"bgcolor" : [ 0.898039, 0.898039, 0.898039, 0.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-77", 1 ],
					"destination" : [ "obj-88", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-88", 0 ],
					"destination" : [ "obj-82", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-83", 0 ],
					"destination" : [ "obj-24", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-85", 0 ],
					"destination" : [ "obj-83", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-82", 0 ],
					"destination" : [ "obj-85", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 1 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-77", 0 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-80", 0 ],
					"destination" : [ "obj-79", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-78", 0 ],
					"destination" : [ "obj-77", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-79", 0 ],
					"destination" : [ "obj-78", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-38", 0 ],
					"destination" : [ "obj-69", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-69", 0 ],
					"destination" : [ "obj-68", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-61", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-61", 0 ],
					"destination" : [ "obj-38", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 1 ],
					"destination" : [ "obj-46", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 1 ],
					"destination" : [ "obj-37", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-37", 0 ],
					"destination" : [ "obj-36", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-35", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 1 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [ 101.5, 543.0, 169.0, 543.0, 169.0, 300.0, 224.5, 300.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-35", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-23", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-79", 1 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-68", 1 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-68", 0 ],
					"destination" : [ "obj-88", 0 ],
					"hidden" : 0,
					"midpoints" : [ 164.5, 865.0, 152.0, 865.0, 152.0, 740.0, 218.0, 740.0, 218.0, 594.0, 201.0, 594.0, 201.0, 417.0, 177.0, 417.0, 177.0, 345.0, 199.5, 345.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-104", 0 ],
					"destination" : [ "obj-105", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-105", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-71", 0 ],
					"destination" : [ "obj-105", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-107", 0 ],
					"destination" : [ "obj-106", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-106", 0 ],
					"destination" : [ "obj-80", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-107", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-82", 1 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-109", 0 ],
					"destination" : [ "obj-108", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-108", 0 ],
					"destination" : [ "obj-46", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-88", 0 ],
					"destination" : [ "obj-109", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
